<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="spamfilter" id="stats-messages-spamsfound">

 <lire:title>Total Number Of Messages Tagged As SPAM</lire:title>
 <lire:description>
   <para>This report shows the number of messages tagged as spam.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     different messages are counted.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Total Number of Messages Tagged As SPAM by $period Period</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$spam_result" arg2="1"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:count name="number_messages" fields="msgid" label="Messages"/>
   <lire:count name="messages_ratio" fields="msgid" ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
